hwloc_topology_cpubind_support Struct Reference
Topology Detection Configuration and Query

`#include <hwloc.h>`

## Data Fields

unsigned char | set_thisproc_cpubind
unsigned char | get_thisproc_cpubind
unsigned char | set_proc_cpubind
unsigned char | get_proc_cpubind
unsigned char | set_thisthread_cpubind
unsigned char | get_thisthread_cpubind
unsigned char | set_thread_cpubind
unsigned char | get_thread_cpubind
unsigned char | get_thisproc_last_cpu_location
unsigned char | get_proc_last_cpu_location
unsigned char | get_thisthread_last_cpu_location

## Detailed Description

Flags describing actual PU binding support for this topology.

A flag may be set even if the feature isn't supported in all cases (e.g. binding to random sets of non-contiguous objects).

## Field Documentation

## get_proc_cpubind

unsigned char hwloc_topology_cpubind_support::get_proc_cpubind

Getting the binding of a whole given process is supported.

## get_proc_last_cpu_location

unsigned char hwloc_topology_cpubind_support::get_proc_last_cpu_location

Getting the last processors where a whole process ran is supported

## get_thisproc_cpubind

unsigned char hwloc_topology_cpubind_support::get_thisproc_cpubind

Getting the binding of the whole current process is supported.

## get_thisproc_last_cpu_location

unsigned char hwloc_topology_cpubind_support::get_thisproc_last_cpu_location

Getting the last processors where the whole current process ran is supported

## get_thisthread_cpubind

unsigned char hwloc_topology_cpubind_support::get_thisthread_cpubind

Getting the binding of the current thread only is supported.

## get_thisthread_last_cpu_location

unsigned char hwloc_topology_cpubind_support::get_thisthread_last_cpu_location

Getting the last processors where the current thread ran is supported

## get_thread_cpubind

unsigned char hwloc_topology_cpubind_support::get_thread_cpubind

Getting the binding of a given thread only is supported.

## set_proc_cpubind

unsigned char hwloc_topology_cpubind_support::set_proc_cpubind

Binding a whole given process is supported.

## set_thisproc_cpubind

unsigned char hwloc_topology_cpubind_support::set_thisproc_cpubind

Binding the whole current process is supported.

## set_thisthread_cpubind

unsigned char hwloc_topology_cpubind_support::set_thisthread_cpubind

Binding the current thread only is supported.

## set_thread_cpubind

unsigned char hwloc_topology_cpubind_support::set_thread_cpubind

Binding a given thread only is supported.

The documentation for this struct was generated from the following file:

- hwloc.h